CVE-2022-22824

defineAttribute in xmlparse.c in Expat (aka libexpat) before 2.4.3 has an integer overflow.
Configurations

Configuration 1 (hide)

cpe:2.3:a:libexpat_project:libexpat:*:*:*:*:*:*:*:*

History

17 Jan 2022, 22:15

Type Values Removed Values Added
References
  • (MLIST) http://www.openwall.com/lists/oss-security/2022/01/17/3 -

13 Jan 2022, 20:41

Type Values Removed Values Added
First Time Libexpat Project
Libexpat Project libexpat
CVSS v2 : unknown
v3 : unknown
v2 : 7.5
v3 : 9.8
References (MISC) https://github.com/libexpat/libexpat/pull/539 - (MISC) https://github.com/libexpat/libexpat/pull/539 - Patch, Third Party Advisory
CWE CWE-190
CPE cpe:2.3:a:libexpat_project:libexpat:*:*:*:*:*:*:*:*

10 Jan 2022, 14:14

Type Values Removed Values Added
New CVE

Information

Published : 2022-01-10 14:12

Updated : 2022-01-17 22:15


NVD link : CVE-2022-22824

Mitre link : CVE-2022-22824


JSON object : View

Products Affected

libexpat_project

  • libexpat
CWE
CWE-190

Integer Overflow or Wraparound